## org.eclipse.emf.spi.cdo
Class CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

    java.lang.Object
      org.eclipse.emf.spi.cdo.CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

All Implemented Interfaces:
  CDOReferenceAdjuster

Enclosing class:
  CDOSessionProtocol.CommitTransactionResult

    protected static class CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

extends java.lang.Object
implements CDOReferenceAdjuster

Constructor Summary
`CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster(CDOIDProvider idProvider, CDOIDMapper idMapper)`

Method Summary
`java.lang.Object` `adjustReference(java.lang.Object id)` Adjusts the internal structure of an object (e.g: `CDORevision`).
`CDOIDMapper` `getIdMapper()`
`CDOIDProvider` `getIdProvider()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

    public CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster(CDOIDProvider idProvider,
                                                                                  CDOIDMapper idMapper)

Method Detail

### getIdProvider

    public CDOIDProvider getIdProvider()

### getIdMapper

    public CDOIDMapper getIdMapper()

### adjustReference

    public java.lang.Object adjustReference(java.lang.Object id)

  Description copied from interface: `CDOReferenceAdjuster`
  Adjusts the internal structure of an object (e.g: `CDORevision`). This is mainly used after committing a transaction. `CDORevision` must replace `CDOIDTemp` for non-temporary `CDOID` with a mapped ID. Only the internal structure knows how to do these modifications. This is important to consider using different implementation of `CDOList`.

  Specified by:
    `adjustReference` in interface `CDOReferenceAdjuster`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.